GooGooStatementCache.ConnectionStatementManager (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.c3p0.stmt

## Class GooGooStatementCache.ConnectionStatementManager

- java.lang.Object
- - com.mchange.v2.c3p0.stmt.GooGooStatementCache.ConnectionStatementManager

- Direct Known Subclasses:
    GooGooStatementCache.DeathmarchConnectionStatementManager, GooGooStatementCache.SimpleConnectionStatementManager
  Enclosing class:
    GooGooStatementCache

      protected abstract static class GooGooStatementCache.ConnectionStatementManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ConnectionStatementManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addStatementForConnection(java.lang.Object ps, java.sql.Connection pcon)`
    `java.util.Set` | `connectionSet()`
    `int` | `getNumConnectionsWithCachedStatements()`
    `int` | `getNumStatementsForConnection(java.sql.Connection pcon)`
    `boolean` | `removeStatementForConnection(java.lang.Object ps, java.sql.Connection pcon)`
    `java.util.Set` | `statementSet(java.sql.Connection pcon)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionStatementManager

          protected ConnectionStatementManager()

  - ### Method Detail

    - #### getNumConnectionsWithCachedStatements

          public int getNumConnectionsWithCachedStatements()

    - #### connectionSet

          public java.util.Set connectionSet()

    - #### statementSet

          public java.util.Set statementSet(java.sql.Connection pcon)

    - #### getNumStatementsForConnection

          public int getNumStatementsForConnection(java.sql.Connection pcon)

    - #### addStatementForConnection

          public void addStatementForConnection(java.lang.Object ps,
                                                java.sql.Connection pcon)

    - #### removeStatementForConnection

          public boolean removeStatementForConnection(java.lang.Object ps,
                                                      java.sql.Connection pcon)